darcs

Issue 2247 Rebase status messages being printed twice

Title Rebase status messages being printed twice
Priority Status resolved
Milestone 2.10.0 HEAD Resolved in 2.10.0 HEAD
Superseder Nosy List ganesh, owst
Assigned To
Topics Rebase

Created on 2012-09-29.19:30:07 by owst, last changed 2012-12-21.14:17:46 by noreply.

Messages
msg16143 (view) Author: owst Date: 2012-09-29.19:30:06
1. Summarise the issue (what were doing, what went wrong?)

The 'rebase in progress' message is being printed twice.

> wibble some files
> darcs rec -am 'wibble'
> echo yd | darcs rebase susp
[...]
Rebase in progress: 1 suspended patches
Rebase in progress: 1 suspended patches

2. What behaviour were you expecting instead?

A single message.

3. What darcs version are you using? (Try: darcs --exact-version)

2.9.5 +5 patches

4. What operating system are you running?

Linux x86_64
msg16462 (view) Author: noreply Date: 2012-12-21.14:17:45
The following patch sent by Ganesh Sittampalam <ganesh@earth.li> updated issue issue2247 with
status=resolved;resolvedin=2.10.0 HEAD

* resolve issue2247: move patch index creation into the job running code 
Ignore-this: 495687566cc9d138f4ab97bd2a4283f6
History
Date User Action Args
2012-09-29 19:30:07owstcreate
2012-11-11 18:07:57ganeshsetstatus: unknown -> needs-implementation
nosy: + ganesh
topic: + Rebase
milestone: 2.10.0 HEAD
2012-12-21 14:17:46noreplysetstatus: needs-implementation -> resolved
messages: + msg16462
resolvedin: 2.10.0 HEAD